summaryrefslogtreecommitdiffstats
path: root/libraries/gtksourceview
diff options
context:
space:
mode:
author Michiel <michiel@slackbuilds.org>2010-05-11 22:54:02 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-11 22:54:02 +0200
commit20d65c367c46bac9c579a9bafec87f278aa1a351 (patch)
tree2e26c66312ec9316f10824b4e637593941edd200 /libraries/gtksourceview
parent68c18de9e0be0a449923d927d10d0eed63b4eef1 (diff)
downloadslackbuilds-20d65c367c46bac9c579a9bafec87f278aa1a351.tar.gz
slackbuilds-20d65c367c46bac9c579a9bafec87f278aa1a351.tar.xz
libraries/gtksourceview: Added to 12.1 repository
Diffstat (limited to 'libraries/gtksourceview')
-rw-r--r--libraries/gtksourceview/README5
-rw-r--r--libraries/gtksourceview/gtksourceview.SlackBuild85
-rw-r--r--libraries/gtksourceview/gtksourceview.info8
-rw-r--r--libraries/gtksourceview/slack-desc19
4 files changed, 117 insertions, 0 deletions
diff --git a/libraries/gtksourceview/README b/libraries/gtksourceview/README
new file mode 100644
index 0000000000..0a8ec30be4
--- /dev/null
+++ b/libraries/gtksourceview/README
@@ -0,0 +1,5 @@
+GtkSourceView is a portable C library that extends the standard GTK+
+framework for multiline text editing with support for configurable
+syntax highlighting, unlimited undo/redo, UTF-8 compliant caseless
+searching, printing and other features typical of a source code editor.
+
diff --git a/libraries/gtksourceview/gtksourceview.SlackBuild b/libraries/gtksourceview/gtksourceview.SlackBuild
new file mode 100644
index 0000000000..cb50e52afd
--- /dev/null
+++ b/libraries/gtksourceview/gtksourceview.SlackBuild
@@ -0,0 +1,85 @@
+#!/bin/sh
+
+# Slackware build script for gtksourceview
+# Copyright 2007-2008 Michiel van Wessem, Manchester, United Kingdom
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions are
+# met:
+#
+# * Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
+# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
+# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
+# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
+# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
+# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
+# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=gtksourceview
+VERSION=${VERSION:-2.2.2}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man
+
+make
+make install-strip DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING* ChangeLog HACKING INSTALL MAINTAINERS NEWS README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/libraries/gtksourceview/gtksourceview.info b/libraries/gtksourceview/gtksourceview.info
new file mode 100644
index 0000000000..6be19ab2a5
--- /dev/null
+++ b/libraries/gtksourceview/gtksourceview.info
@@ -0,0 +1,8 @@
+PRGNAM="gtksourceview"
+VERSION="2.2.2"
+HOMEPAGE="http://projects.gnome.org/gtksourceview/"
+DOWNLOAD="http://ftp.gnome.org/pub/GNOME/sources/gtksourceview/2.2/gtksourceview-2.2.2.tar.gz"
+MD5SUM="91f8743c73eeb3a4f49b96ce4a0ac42d"
+MAINTAINER="Michiel"
+EMAIL="michiel@slackbuilds.org"
+APPROVED="David Somero" \ No newline at end of file
diff --git a/libraries/gtksourceview/slack-desc b/libraries/gtksourceview/slack-desc
new file mode 100644
index 0000000000..d4bbf08855
--- /dev/null
+++ b/libraries/gtksourceview/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+gtksourceview: gtksourceview (C library for multiline text editing)
+gtpsourceview:
+gtksourceview: GtkSourceView is a portable C library that extends the standard
+gtksourceview: GTK+ framework for multiline text editing with support for
+gtksourceview: configurable syntax highlighting, unlimited undo/redo, UTF-8
+gtksourceview: compliant caseless searching, printing and other features
+gtksourceview: typical of a source code editor.
+gtksourceview:
+gtksourceview: Homepage: http://projects.gnome.org/gtksourceview/
+gtksourceview:
+gtksourceview: